Update recurring task

Update recurring task. See the OpenAPI-defined parameters, request body, and responses below.

PUT /FlowRecurringTask/{id}

Update recurring task. See the OpenAPI-defined parameters, request body, and responses below.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

Content type: application/json · Schema: FlowRecurringTaskDto

PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
flowIdinteger · int32No——
flowStageIdinteger · int32No——
titlestringNo—nullable
descriptionstringNo—nullable
priorityinteger · int32No——
payloadstringNo—nullable
dueInMinutesinteger · int32No—nullable
patternTypeFlowRecurrencePatternTypeNo——
intervalinteger · int32No——
daysOfWeekFlowRecurrenceDaysOfWeekNo——
firstDayOfWeekDayOfWeekNo——
dayOfMonthinteger · int32No—nullable
weekIndexFlowRecurrenceWeekIndexNo——
relativeDayTypeFlowRecurrenceRelativeDayTypeNo——
monthinteger · int32No—nullable
startDatestring · dateNo——
startTimestring · timeNo——
timeZoneIdstringNo—nullable
rangeTypeFlowRecurrenceRangeTypeNo——
endDatestring · dateNo—nullable
numberOfOccurrencesinteger · int32No—nullable
isActivebooleanNo——
nextOccurrenceAtUtcstring · date-timeNo—nullable
lastOccurrenceAtUtcstring · date-timeNo—nullable
generatedOccurrencesinteger · int32No——
createdAtstring · date-timeNo—nullable
createdByinteger · int32No——
updatedAtstring · date-timeNo—nullable
updatedByinteger · int32No——

Example request

curl --request PUT \
  --url 'https://api.zild.ai/FlowRecurringTask/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "flowId": 0,
  "flowStageId": 0,
  "title": "string",
  "description": "string",
  "priority": 0,
  "payload": "string",
  "dueInMinutes": 0,
  "patternType": 0,
  "interval": 0,
  "daysOfWeek": 0,
  "firstDayOfWeek": 0,
  "dayOfMonth": 0,
  "weekIndex": 1,
  "relativeDayType": 0,
  "month": 0,
  "startDate": "2026-09-22",
  "startTime": "string",
  "timeZoneId": "string",
  "rangeType": 0,
  "endDate": "2026-09-22",
  "numberOfOccurrences": 0,
  "isActive": true,
  "nextOccurrenceAtUtc": "2026-09-22T18:00:00Z",
  "lastOccurrenceAtUtc": "2026-09-22T18:00:00Z",
  "generatedOccurrences": 0,
  "createdAt": "2026-09-22T18:00:00Z",
  "createdBy": 0,
  "updatedAt": "2026-09-22T18:00:00Z",
  "updatedBy": 0
}'

Responses

StatusDescriptionResponse body
200OKNo response body is defined.

Data models

DayOfWeek

0 = Sunday; 1 = Monday; 2 = Tuesday; 3 = Wednesday; 4 = Thursday; 5 = Friday; 6 = Saturday

integer

FlowRecurrenceDaysOfWeek

0 = None; 1 = Sunday; 2 = Monday; 4 = Tuesday; 8 = Wednesday; 16 = Thursday; 32 = Friday; 62 = Weekdays; 64 = Saturday; 65 = WeekendDays; 127 = All

integer

FlowRecurrencePatternType

0 = Minutely; 1 = Hourly; 2 = Daily; 3 = Weekly; 4 = AbsoluteMonthly; 5 = RelativeMonthly; 6 = AbsoluteYearly; 7 = RelativeYearly

integer

FlowRecurrenceRangeType

0 = NoEnd; 1 = EndDate; 2 = Numbered

integer

FlowRecurrenceRelativeDayType

0 = SpecificDays; 1 = Day; 2 = Weekday; 3 = WeekendDay

integer

FlowRecurrenceWeekIndex

1 = First; 2 = Second; 3 = Third; 4 = Fourth; 5 = Last

integer

FlowRecurringTaskDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
flowIdinteger · int32No——
flowStageIdinteger · int32No——
titlestringNo—nullable
descriptionstringNo—nullable
priorityinteger · int32No——
payloadstringNo—nullable
dueInMinutesinteger · int32No—nullable
patternTypeFlowRecurrencePatternTypeNo——
intervalinteger · int32No——
daysOfWeekFlowRecurrenceDaysOfWeekNo——
firstDayOfWeekDayOfWeekNo——
dayOfMonthinteger · int32No—nullable
weekIndexFlowRecurrenceWeekIndexNo——
relativeDayTypeFlowRecurrenceRelativeDayTypeNo——
monthinteger · int32No—nullable
startDatestring · dateNo——
startTimestring · timeNo——
timeZoneIdstringNo—nullable
rangeTypeFlowRecurrenceRangeTypeNo——
endDatestring · dateNo—nullable
numberOfOccurrencesinteger · int32No—nullable
isActivebooleanNo——
nextOccurrenceAtUtcstring · date-timeNo—nullable
lastOccurrenceAtUtcstring · date-timeNo—nullable
generatedOccurrencesinteger · int32No——
createdAtstring · date-timeNo—nullable
createdByinteger · int32No——
updatedAtstring · date-timeNo—nullable
updatedByinteger · int32No——